import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AuthRoutingModule } from './auth-routing.module';
import { AuthComponent } from './auth.component';
import {ReactiveFormsModule} from '@angular/forms';
import {PasswordToggleDirective} from './_directives/password-toggle.directive';
import { AddKeyComponent } from './add-key/add-key.component';
import {MatCardModule} from '@angular/material/card';
import {MatSelectModule} from '@angular/material/select';
import {MatInputModule} from '@angular/material/input';
import {MatButtonModule} from '@angular/material/button';
import {MatRippleModule} from '@angular/material/core';
// import {PasswordToggleDirective} from '../_directives/password-toggle.directive';


@NgModule({
  declarations: [AuthComponent, PasswordToggleDirective, AddKeyComponent],
  imports: [
    CommonModule,
    AuthRoutingModule,
    ReactiveFormsModule,
    MatCardModule,
    MatSelectModule,
    MatInputModule,
    MatButtonModule,
    MatRippleModule,
    // PasswordToggleDirective
  ]
})
export class AuthModule { }
